//合同管理路由模块
import Home from '@/layouts/index.vue'

export default [
    {
		path: '/',
		component: Home,
		name: 'contractManage',
		meta: {
			title: "合同管理",
		},
		icon_path: require('@/assets/img/home/custom_ico.png'),
		children: [
			{
				path: 'contractmanagelist',
				name: 'contractmanagelist',
				component: () => import('@/views/contract_manage/contractList.vue'),
				meta: {
					title: "合同列表",
				},
			},
			{
				path: 'addcontract',
				component: () => import('@/views/contract_manage/addContract.vue'),
				name: "addcontract",
				meta: {
					title: "添加合同",
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
				}
			},
			{
				path: 'contractdetail',
				component: () => import('@/views/contract_manage/contractDetail.vue'),
				name: "contractdetail",
				meta: {
					title:'合同详情',
					pathFrom: 'contractmanagelist',
					pathName: '合同列表'
				}
			},
			{
				path: 'editcontract',
				component: () => import('@/views/contract_manage/editContract.vue'),
				name: "editcontract",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title:'编辑合同'
				}
			},
			{
				path: 'retrialcontract',
				component: () => import('@/views/contract_manage/editContract.vue'),
				name: "retrialcontract",
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title:"重审合同"
				}
			},
			{
				path: 'copycontract',
				component: () => import('@/views/contract_manage/editContract.vue'),
				name: "copycontract",
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title:'复制模板'
				}
			},
			{
				path: 'modifyapply',
				component: () => import('@/views/contract_manage/editContract.vue'),
				name: "modifyapply",
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title:'修改重审'
				}
			},
			{
				path: 'addcontractdc',
				component: () => import('@/views/contract_manage/addContractDC.vue'),
				name: "addcontractdc",
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title: '添加代付合同'
				}
			},
			{
				path: 'contractdetaildc',
				component: () => import('@/views/contract_manage/contractDetailDC.vue'),
				name: "contractdetaildc",
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title: '代付合同详情'
				}
			},
			{
				path: 'editcontractdc',
				component: () => import('@/views/contract_manage/editContractDC.vue'),
				name: "editcontractdc",
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title: '代付合同编辑'
				}
			},
			{
				path: 'retrialcontractdc',
				component: () => import('@/views/contract_manage/editContractDC.vue'),
				name: "retrialcontractdc",
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title: '代付合同重审'
				}
			},
			{
				path: 'copycontractdc',
				component: () => import('@/views/contract_manage/editContractDC.vue'),
				name: "copycontractdc",
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title: '代付合同复制模板'
				}
			},
			{
				path: 'modifyapplydc',
				component: () => import('@/views/contract_manage/editContractDC.vue'),
				name: "modifyapplydc",
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					title: '代付合同修改重审'
				}
			},
			// {
			// 	path:"raiAllocationPage",
			// 	component:()=>import("@/views/contract_manage/raiAllocationPage.vue"),
			// 	name:"合同派点",
			// 	hidden:false,
			// 	meta: {
			// 		keepAlive: false
			// 	}
			// },
			// {
			// 	path:"researcherStatistics",
			// 	component:()=>import("@/views/contract_manage/researcherStatistics.vue"),
			// 	name:"研究员派点统计",
			// 	hidden:false,
			// 	meta: {
			// 		keepAlive: false
			// 	}
			// }
		]
	},
]